# De handboek van &kabcclient;

Kevin
Krammer

     kevin.krammer@gmx.at

&Freek.de.Kruijf;
2008
Kevin Krammer
&FDLNotice;
2008-11-20
1.1.1

&kabcclient; is een commandoregel interface tot de adresboeken van &kde;.

KDE
&package;
&kappname;
KAddressBook

## Inleiding

&kabcclient; is een commandoregel-interface naar &kde;-adresboek. Het laat u contacten weergeven, zoeken, invoegen, verwijderen of aanvullen door middel van de commandoregel of met een scripttaal. &kabcclient; kan verschillende formaten aan invoer- en uitvoerzijde hanteren, waardoor het gebruikt kan worden voor im- en exporteren van gehele &kde;-adresboeken.

Bij het aanroepen zonder argumenten wordt &kabcclient; in zoekmodus gezet en probeert elke invoer die het kan lezen van standaard invoer te laten overeenkomen met contact-items in het &kde;-adresboek

De belangrijkste mogelijkheden van &kabcclient; zijn:

- Alle contacten in het &kde;-adresboek laten zien

- Naar contactpersonen zoeken die overeenkomen met de invoergegevens

- Contactpersonen (toe-) invoegen

- Contactpersonen verwijderen

- Voeg toe (wijzig) overeenkomende contactpersonen met nieuwe gegevens

&kabcclient; is geen andere grafische gebruikersinterface tot het &kde;-adresboek (dwz. &kaddressbook;). &kabcclient; is alleen bedoeld voor gebruik waar een grafische gebruikersinterface niet praktisch of mogelijk is.

&kabcclient; levert geen taal met volledige mogelijkheden voor het doen van zoekopdrachten in het adresboek van de gebruiker en ook is het niet de bedoeling van de auteurs om ooit zoiets te maken. Zoiets kan gedaan worden door andere commandoregelhulpmiddelen of de eigen mogelijkheden van de taal.

Om het ontdekken van de mogelijkheden te vergemakkelijken kan bij elke optie die een argument vereist de waarde help gegeven worden. Dit geeft dan alle geldige waarden die aan de optie meegegeven kunnen worden.

## Mogelijkheden

In dit hoofdstuk leest u over de hoofd mogelijkheden van &kabcclient; en hoe ze te besturen met de parameters op de commandoregel (&kabcclient; is geen grafische gebruikersinterface; het is alleen een commandoregelprogramma).

U leest over invoegen, verwijderen en zoeken van contactpersonen en hoe de verschillende formats voor invoer en uitvoer te gebruiken.

### Een lijst maken van het adresboek

Dit is de basis van alle bewerkingen, gestart met de optie `--list` of `-L`. &kabcclient; toont de lijst met alle contacten in het &kde; adresboek en schrijft de gegevens naar de standaard uitvoer van het programma. Hoeveelheid en formaat van de uitvoer hangt af van het gekozen uitvoerformaat.

Om een lijst te maken van alle contacten in standaard vCard-items, voer uit:

    % kabcclient -L

Om één regel per contactpersoon te krijgen, bijv. om te tellen, voer uit:

    % kabcclient -L -of uid

In het volgende voorbeeld, maken we een lijst met alle e-mailadressen:

    % kabcclient --list -of email

### Naar contactpersonen zoeken die overeenkomen met de invoergegevens

&kabcclient; kan gegevens halen vanaf de commandoregel of van de standaard invoer van een programma en controleren of overeenkomsten zijn met alle contacten in het &kde; adresboek. Zoeken is de standaard manier maar het kan expliciet worden gekozen met het argument `--search` of `-S`.

In het volgende voorbeeld zullen alle contacten met jane als deel van elk naamveld of e-mailadres naar standaard uitvoer van het programma worden geschreven, geformatteerd als vCards (omdat dit de standaard voor de optie `--output-format` is):

    % kabcclient --search jane

Zelfde zoekopdracht opnieuw, nu met het lezen van de zoektekst van de standaard invoer van het programma:

    % echo jane | kabcclient --search

Hoofdlettergevoeligheid kan worden aan-/uitgezet met de optie `--match-case`.

### Contactpersonen toevoegen

&kabcclient; ondersteunt het toevoegen van nieuwe contactpersonen aan het &kde; adresboek met het argument `--add` of `-A`. De gegevens kunnen ofwel als extra argumenten op de commandoregel worden doorgegeven of van standaard invoer gelezen. Bij succes zullen de resulterende contacten naar de standaard uitvoer van het programma worden geschreven. Omdat dit een bewerking is die wijzigingen in het adresboek aanbrengt kan het worden uitgevoerd in een "Dry run" modus met de optie `--nosave`.

Voeg een contactpersoon toe met naam en e-mailadres door een extra argument op de commando regel als invoergegeven:

    % kabcclient --add --input-format email "Jan Klaassen <j.klaassen@voorbeeld.nl>"

Voeg alle contactpersonen uit een vCard-bestand in die in de standaard invoer worden gestopt:

    % cat voorbeeld-bestand.vcf | kabcclient --add --input-format vcard

### Contactpersonen worden verwijderd

&kabcclient; ondersteunt het verwijderen van contacten uit het &kde; adresboek met het argument `--remove` of `-R`. De invoergegevens zijn in basis een zoekopdracht zoals bij het zoeken in het adresboek. Bij succes zullen de verwijderde contacten naar de standaard uitvoer van het programma worden geschreven. Omdat dit een bewerking is die wijzigingen in het adresboek aanbrengt kan het worden uitgevoerd in een "Dry run" modus met de optie `--nosave`.

Wanneer u iets uit het adresboek verwijdert kan dit niet ongedaan gemaakt worden! Met andere woorden, als u een contact verwijdert kan dat niet ongedaan gemaakt worden. Weg is weg, voorgoed.

Test verwijdering van alle contacten met jane in elk contactnaamveld of elk e-mailadres:

    % kabcclient --remove --nosave jane

### invoer en uitvoer formats

&kabcclient; kan invoergegevens interpreteren en uitvoergegevens formatteren volgens verschillende formatteringsregels. Afhankelijk van het actuele gebruik zullen bepaalde combinaties tot het meest succesvolle resultaat leiden. Sommige van de formats begrijpen extra parameters voor verdere aanpassing van hun gedrag.

Omdat tekstuele gegevens gecodeerd kunnen zijn kan invoer en uitvoer onderworpen zijn respectievelijk aan extra decodering of codering.

Al deze opties voor de commandoregel reageren op de speciale waarde help bij het tonen van de toegestane waarden.

#### vCard-opmaak

vCard (RFC 2426) is de standaard indeling voor contactgegevens en kan alle informatie tonen die andere adresboektoepssingen zoals &kaddressbook; kan lezen. Het is daarom de standaard indeling voor uitvoerformattering.

#### Door komma's gescheiden (CSV) formaat

De indeling met komma-gescheiden-waarden kan als invoerindeling worden gebruikt om gegevens in te vullen in specifieke velden van een contactpersoon-item en als uitvoerindeling om hersortering van gegevens voor verdere verwerking te verminderen. Om genoeg flexibiliteit te bieden in het laten overeenkomen van contactpersoonvelden met CSV(kgw)-kolommmen kunnen de gegevens gespecificeerd worden met gebruik van de CSV-sjabloonbeschrijvingsbestanden die ook door &kaddressbook; voor hetzelfde doel worden gebruikt.

## Commandoregel-parameters

&kabcclient; ondersteunt de volgende parameters:

Optie | Beschrijving
--- | ---
`--help, --help-all` | Toont informatie over de mogelijke parameters.
`--author` | Toont gegevens over de auteur van dit programma.
`-v, --version` | Toont het versienummer van dit programma.
`--license` | Toont de licentie van dit programma.
`--verbose` | Geeft meer informatie tijdens het uitvoeren van commando's.
`--nosave` | Laat zien wat er gedaan zou worden zonder het daadwerkelijk uit te voeren. Wijzigt niets in het &kde;-adresboek; voegt niets in, verwijdert niets en wijzigt niets in bestaande contactpersonen.
`--match-case` | Gebruikt hoofdlettergevoelige overeenkomsten bij het vergelijken van ingevoerde gegevens met gegevens in het adresboek.
Hoofdhandelingen:
`-L, --list` | Toon alle contactpersonen in het opgegeven exportformaat.
`-A, --add` | Voeg contactpersonen toe aan het adresboek.
`-R, --remove` | Verwijder contactpersonen uit het adresboek.
`-M, --merge` | Voeg ingevoerde gegevens toe aan overeenkomende contactpersonen uit het adresboek.
Formattering en codering:
`-if, --input-format` format | Hoe invoergegevens worden geïnterpreteerd. Gebruik help for a lijst met beschikbare waarden.
`-of, --output-format` format | Hoe uitvoergegevens worden geformatteerd. Gebruik help for a lijst met beschikbare waarden.
`-if-opts, --input-format-options` opties | Specifieke opties voor formattering van invoergegevens. Gebruik help for a lijst met beschikbare waarden.
`-of-opts, --output-format-options` opties | Specifieke opties voor formattering van uitvoergegevens. Gebruik help for a lijst met beschikbare waarden.
`-ic, --input-codec` codering | Gebruikte tekstcodering voor invoergegevens. Gebruik help for a lijst met beschikbare waarden.
`-oc, --output-codec` codering | Te gebruiken tekstcodering voor uitvoergegevens. Gebruik help for a lijst met beschikbare waarden.

## Vragen en antwoorden

&reporting.bugs; &updating.documentation;

Welk configuratiebestand wordt door &kabcclient; gebruikt?

Geen.

Wat zijn de toepassingsnamen van &kabcclient;?

&kabcclient;'s application name is kabcclient.

Hoe kan ik mijn vraag toevoegen aan deze FAQ?

Zend uw vragen aan kevin.krammer@gmx.at.

## Dankbetuiging en licentie

&kabcclient; Programma copyright 2005-2008:

- Kevin Krammer kevin.krammer@gmx.at

Documentatie copyright 2008:

- Kevin Krammer kevin.krammer@gmx.at

&meld.fouten;&vertaling.freek; &underFDL; &underGPL;

## Installatie

### Hoe &kabcclient; te verkrijgen

&install.intro.documentation;

&kabcclient; komt met &kde;4 en is niet apart beschikbaar.

### Vereisten

&kabcclient; vereist de standaard &kde;-bibliotheken. Deze zijn te vinden in het `kdelibs`- en `kdepimlibs`-pakket. Om vanuit de broncode te compileren zijn ook &Qt;, de ontwikkelpakketten van `kdelibs` en `kdepimlibs` nodig.

Een lijst van verbeteringen en aanpassingen is te vinden in het `ChangeLog`-bestand.

### Configuratie

Er is geen speciale configuratie vereist om &kabcclient; te gebruiken op het &kde;-bureaublad.

&documentation.index;